package com.muyu.data.source.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * DataModel
 *
 * @author DeKangLiu
 * Date 2024/5/13 16:37
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DataModel {
    /**
     * 数据键
     */
    private String key;

    /**
     * 数据值
     */
    private Object value;

    /**
     * 源标准 -枚举
     */
    private String sourceType;

    /**
     * 处理标准-枚举
     */
    private String processType;

    /**
     * 处理类型
     */
    private Class<?> processClass;


}
