package com.muyu.data.source.domain.model;

/**
 * ThreadContsant
 *
 * @author DeKangLiu
 * Date 2024/5/13 16:40
 */
public class ThreadConstant {

    private static ThreadLocal<DataModel> threadLocal = new ThreadLocal<>();

    public static DataModel get() {
        return threadLocal.get();
    }

    public static void set(DataModel dataModel) {
        threadLocal.set(dataModel);
    }

    public static void remove() {
        threadLocal.remove();
    }
}
